Loading...
Searching...
No Matches
ON_BumpFunction Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_offsetsurface.h>`

## Public Member Functions

| ON_BumpFunction ()
bool | operator== (const ON_BumpFunction &other) const
bool | operator< (const ON_BumpFunction &other) const
bool | operator> (const ON_BumpFunction &other) const
double | ValueAt (double s, double t) const
void | Evaluate (double s, double t, int der_count, double *value) const
void | EvaluateHelperLinearBump (double t, double dt, int der_count, double *value) const
void | EvaluateHelperQuinticBump (double t, double dt, int der_count, double *value) const

## Public Attributes

ON_2dPoint | m_point
int | m_type [2]
double | m_x0
double | m_y0
double | m_sx [2]
double | m_sy [2]
double | m_a

## Detailed Description

Definition at line 24 of file opennurbs_offsetsurface.h.

## Constructor & Destructor Documentation

## ON_BumpFunction()

ON_BumpFunction::ON_BumpFunction | ( |  | ) |

Referenced by operator<(), operator==(), and operator>().

## Member Function Documentation

## Evaluate()

void ON_BumpFunction::Evaluate | ( | double | s,
|  | double | t,
|  | int | der_count,
|  | double * | value ) const

## EvaluateHelperLinearBump()

void ON_BumpFunction::EvaluateHelperLinearBump | ( | double | t,
|  | double | dt,
|  | int | der_count,
|  | double * | value ) const

## EvaluateHelperQuinticBump()

void ON_BumpFunction::EvaluateHelperQuinticBump | ( | double | t,
|  | double | dt,
|  | int | der_count,
|  | double * | value ) const

## operator<()

bool ON_BumpFunction::operator< | ( | const ON_BumpFunction & | other | ) | const

References ON_BumpFunction().

## operator==()

bool ON_BumpFunction::operator== | ( | const ON_BumpFunction & | other | ) | const

References ON_BumpFunction().

## operator>()

bool ON_BumpFunction::operator> | ( | const ON_BumpFunction & | other | ) | const

References ON_BumpFunction().

## ValueAt()

double ON_BumpFunction::ValueAt | ( | double | s,
|  | double | t ) const

## Member Data Documentation

## m_a

double ON_BumpFunction::m_a

Definition at line 53 of file opennurbs_offsetsurface.h.

## m_point

ON_2dPoint ON_BumpFunction::m_point

Definition at line 45 of file opennurbs_offsetsurface.h.

## m_sx

double ON_BumpFunction::m_sx[2]

Definition at line 51 of file opennurbs_offsetsurface.h.

## m_sy

double ON_BumpFunction::m_sy[2]

Definition at line 52 of file opennurbs_offsetsurface.h.

## m_type

int ON_BumpFunction::m_type[2]

Definition at line 46 of file opennurbs_offsetsurface.h.

## m_x0

double ON_BumpFunction::m_x0

Definition at line 49 of file opennurbs_offsetsurface.h.

## m_y0

double ON_BumpFunction::m_y0

Definition at line 50 of file opennurbs_offsetsurface.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_offsetsurface.h